Bug 602728 - [abrt] crash in evolution-2.30.1-8: e2k_context_send_message, read_metadata, io_error
[abrt] crash in evolution-2.30.1-8: e2k_context_send_message, read_metadata, ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:3bd16500a54b9b831becbbce22a...
:
: 600557 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 11:09 EDT by Matthew Saltzman
Modified: 2011-06-27 13:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.70 KB, text/plain)
2010-06-10 11:09 EDT, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2010-06-10 11:09:26 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: evolution
comment: Crash occurred while sending a message through Exchange.
component: evolution
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/bin/evolution
global_uuid: 3bd16500a54b9b831becbbce22a5d725210e7d5c
kernel: 2.6.33.5-112.fc13.x86_64
package: evolution-2.30.1-8.fc13
rating: 4
reason: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Matthew Saltzman 2010-06-10 11:09:28 EDT
Created attachment 422945 [details]
File: backtrace
Comment 2 Milan Crha 2010-06-14 12:44:50 EDT
Thanks for a bug report. I see exactly what you said in the backtrace, this crashed while sending a message through evolution-exchange. The bad thing is that it crashed within libsoup, on some io_error. Could you try to run evolution from console and reproduce the issue, and attach here a console output from the time of a cash, please? ABRT is not able to cache console output on itself (yet), unfortunately. Thanks in advance.
Comment 3 Matthew Saltzman 2010-06-23 22:14:24 EDT
This didn't involve a message being sent, but it's the same basic crash--happens the first time I start up evo after changing networks.  The next time I start it, it stays up.

$ evolution
(evolution:3822): e-data-server-DEBUG: Loading categories from "/home/mjs/.evolution/categories.xml"
(evolution:3822): e-data-server-DEBUG: Loaded 29 categories
RSS Plugin enabled (evolution 2.30, evolution-rss 0.1.9)

(evolution:3822): libsoup-WARNING **: Failed to execute query: table moz_cookies already exists

(evolution:3822): libsoup-WARNING **: Failed to execute query: database disk image is malformed
** (evolution:3822): DEBUG: Loading Exchange MAPI Plugin 

** (evolution:3822): DEBUG: MAPI listener is constructed with 1 listed MAPI accounts 
Rspam Plugin enabled (evolution 2.30, evolution-rspam 0.0.99)

** (evolution:3822): WARNING **: LDAP authentication failed (0xffffffff (Can't contact LDAP server))

** (evolution:3822): CRITICAL **: taskbar_push_message: assertion `rss_shell_view != NULL' failed
child process output: public.pyzor.org:24441	(200, 'OK')
 len: 36

** (evolution:3822): CRITICAL **: taskbar_pop_message: assertion `rss_shell_view != NULL' failed

** (evolution:3822): WARNING **: LDAP authentication failed (0xffffffff (Can't contact LDAP server))

(evolution:3822): camel-WARNING **: Camel operation status stack non empty: 

(evolution:3822): camel-exchange-provider-WARNING **: got_folder: 7

** (evolution:3822): WARNING **: LDAP authentication failed (0xffffffff (Can't contact LDAP server))

(evolution:3822): camel-exchange-provider-WARNING **: 
GC lookup failed: for delegator_entry - could not unmangle sender field

(evolution:3822): camel-exchange-provider-CRITICAL **: get_camel_folder: assertion `mfld->ed != NULL' failed
Segmentation fault (core dumped)
Comment 4 Karel Klíč 2010-11-09 09:11:00 EST
*** Bug 600557 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2011-06-02 07:19:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 13:57:06 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.